Index: sandbox/2.5.1-expresso2/expressoMail1_2/js/common_functions.js
===================================================================
--- sandbox/2.5.1-expresso2/expressoMail1_2/js/common_functions.js	(revision 7827)
+++ sandbox/2.5.1-expresso2/expressoMail1_2/js/common_functions.js	(revision 7858)
@@ -694,4 +694,16 @@
 }
 
+/*
+    Abre o diálogo de edição de filtro na tela de criação de filtro, 
+    com os dados da mensagem (remetente e assunto) pré-carregados.
+*/
+
+function filter_from_msg (msg) {
+    var html = DataLayer.render( BASE_PATH + 'modules/filters/init.ejs', {});
+    initialize_container(html);
+    list_container = create_filter_dialog();
+    render_new_rule(msg.from.email, html_entities(msg.subject));
+    $('.expresso-window-container').dialog('open');
+}
 
 function sharebox(){
Index: sandbox/2.5.1-expresso2/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.5.1-expresso2/expressoMail1_2/js/draw_api.js	(revision 7800)
+++ sandbox/2.5.1-expresso2/expressoMail1_2/js/draw_api.js	(revision 7858)
@@ -3004,5 +3004,7 @@
 		var option_export = '<span onclick="proxy_mensagens.export_all_messages()" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Export")+'</span> | ';
 		var report_error = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=reports_window("'+currentTab+'");>'+get_lang("Report error")+'</span> | '; 
-		div_other_more_options.innerHTML += option_move + option_print + option_export + block_user +  report_error;
+		// Opção do menu 'Mais Ações' para criar filtro a partir da mensagem aberta: 
+        var option_create_filter = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=filter_from_msg(onceOpenedHeadersMessages[\'' + html_entities(info_msg.msg_folder) + '\'][' + info_msg.msg_number + ']);>' + get_lang("Create filter from message") + '</span> | ';
+        div_other_more_options.innerHTML += option_create_filter + option_move + option_print + option_export + block_user +  report_error;
 		
 		
Index: sandbox/2.5.1-expresso2/expressoMail1_2/js/doiMenuData.js
===================================================================
--- sandbox/2.5.1-expresso2/expressoMail1_2/js/doiMenuData.js	(revision 7791)
+++ sandbox/2.5.1-expresso2/expressoMail1_2/js/doiMenuData.js	(revision 7858)
@@ -173,8 +173,28 @@
                 }
 
+                // Desabilita a opção de criar filtro a partir da mensagem, caso mais de uma mensagem esteja selecionada:
+                var is_filterFromMsg_disabled = function () {
+                    var base_selector = ".table_box tbody tr.selected_msg";
+                    return ($(base_selector).length > 1) || ($(base_selector + " td span").text().indexOf(get_lang("Draft")) > -1);
+                }
+
                 var lastItens = {
                     "move": {"name": get_lang("Move to")+"...", "icon": "move", callback: function(key, opt){ wfolders.makeWindow('', 'move_to'); }},
                     "remove": {"name": get_lang("Delete"),      "icon": "delete", callback: function(key, opt){ proxy_mensagens.delete_msgs('null','selected','null'); }},
                     "export": {"name": get_lang("Export"),      "icon": "export", callback: function(key, opt){ proxy_mensagens.export_all_messages(); }},
+                    /*Abre o diálogo de criação de filtro a partir da mensagem:*/
+                    "filterFromMsg": {
+                        "name": get_lang("Create filter from message"), 
+                        "icon": "filter", 
+                        callback: function (key, opt) {
+                            var msg_number = get_selected_messages();
+                            var msg = onceOpenedHeadersMessages[current_folder][msg_number];
+                            if (msg !== undefined)
+                            {
+                                filter_from_msg(msg);
+                            }
+                        },
+                        disabled: is_filterFromMsg_disabled()
+                    },
                     "archive": archive
                 }
